* {
  box-sizing: border-box;
}


.container {
  padding: 0 15px;
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
}

.file-input {
  display: none; /* hide default button */
}

.file-label {
  display: inline-block;
  cursor: pointer;
  color: #1b68bb; /* optional: make it look clickable */
  text-decoration: underline;
  margin-top: 5px;
  font-size: 16px;
}

.file-upload {
  border: 2px dashed #ccc; /* dashed box */
  border-radius: 4px;       /* rounded corners */
  text-align: center;        /* center the label */
  cursor: pointer;
  transition: border-color 0.3s;
  width: 100%;
  height: 80px;
  padding: 20px; /* <-- THIS makes the box look full */
  box-sizing: border-box; /* ensures padding doesn’t increase total size */
  margin-top: -20px;
}


.file-upload:hover {
  border-color: #007BFF;    /* change color on hover */
}


#file-name {
  display: block;
  margin-top: 5px;
  font-size: 14px;
  color: #333;
}


#message {
  resize: none;
  height: 80px;
  width: 56%;
  }



label {
  font-size: 24px; /* like h2 */
  font-weight: bold;
}

.contactpage {
  max-width: 450px;
  width: 100%;
  margin: 0 auto;
  padding: 20px;
  box-sizing: border-box;
}

.contactpage h2 {
  margin-bottom: 15px; /* adjust this value as you like */
  margin-top: 35px;
  font-size: 2.5em;
}

.contactpage p {
  margin-top: 0; /* removes extra space */
  margin-bottom: 30px; /* spacing before the form */
}

.contact-form .field.full-width {
  flex: 1 1 100%; /* take full width of the row */
}

.contact-form .field {
  display: flex;
  flex-direction: column; /* stack label on top of input */
  margin-bottom: 20px;
  
}

#myNavtoggle {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: column;
}

.contact-form .form-label {
  font-size: 16px; /* adjust size as needed */
  font-weight: bold;
  margin-bottom: 8px; /* space between label and input */
}

.contact-form input,
.contact-form textarea {
  padding: 10px;
  font-size: 14px;
  border: 1px solid #ccc;
  border-radius: 4px;
}




header {
  background-color: #fffdfc;
  border-bottom: 2px solid #524c4a4c; 
  padding: 10px 4px;
  width: 100%

}

main {
  padding-top: 56px;
}

/* header nav {
  flex-grow: 1;
  display: flex;
  justify-content: flex-end; 
  background-color: #fffdfc;
} */



header .container {
  display: flex;
  justify-content: space-between; 
  align-items: center;            
  width: 100%;  
}

header .container > a,
header .logo {
  font-family: 'Schoolbell', cursive;
  font-weight: 400;
  font-size: 2em;
  color: #000000;
  text-decoration: none;
  background-color: #fffdfc;
  min-width: 30%;
}


header > a {
    font-family: 'Roboto', serif; 
    font-weight: 900;                      
    color: #000000;                        
    font-size: 2em;                          
    text-decoration: none;    
}


header nav ul {
  display: flex;      
  list-style: none;  
  justify-content: center;
  margin: 0;
  padding: 0px;
  gap: 50px;          
  align-items: center;
}


header nav a {
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
  color: #000000;
  text-decoration: none;
}


header nav a:hover {
  text-decoration: underline;
}

/* nav {
  display: inline-block;
  width: 100%;
} */


.navtoggle li:not(:last-child) {
  display: none;
}


.navtoggle, .navtoggle.responsive {
  position: relative;
}


.navtoggle li .icon {
  right: 0;
  top: 20px;
  font-size: 20px;
  /* padding-left: 100; */
  padding-right: 0
}

.navtoggle .icon {
  display: block;
}

/* 
.navtoggle.responsive nav {
  padding: 24px 0 0;
} */

.navtoggle.responsive li  {
  display: block;
  padding: 10px 0;
}


.navtoggle.responsive li:last-child  {
  padding: 0 0 10px;
}


body {
  background-color: #fffdfc;
  font-family: 'Roboto', sans-serif;
  font-size: 16px;
  font-weight: 300;
  line-height: 1.6;
  color: #4a4a4a;
  margin: 0;   
}

main {
  padding: 100px 250px 50px; 
  
}

h1, h2, h3, h4 {
  line-height: 1.4;
}

h1 {
  font-size: 2.5em;
}
h2 {
  font-size: 2em;
}
h3 {
  font-size: 1.5em;
}
h4 {
  font-size: 1.25em;
}
h5 {
  font-size: 0.8em;
}

img {
  width: 80%;
}


.image-container img {
  width: auto;      /* keep desktop original size */
  max-width: 100%;  /* shrink if container is smaller (mobile) */
  height: auto;
  display: block;   /* remove bottom spacing */
  margin: 0 auto;   /* center image */
}



#navigation {
  position: fixed;
  background-color: #fffdfc; /* solid background so hero doesn’t show through */
  z-index: 1000; 
}


.row::after {
  content: "";
  clear: both;
  display: table;
}

.row {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
}

.column {
  flex: 1;  
}


.project {
  padding-bottom: 40px;
  margin-bottom: 40px;
  border-bottom: 2px solid #524c4a4c;
}


.project:last-child {
  border-bottom: none;
  margin-bottom: 0;
  padding-bottom: 0;
}


[class*="col-"] {
  padding: 0 10px; 
}


#skillstools .col-md-6 {
  padding-left: 10px;
}


.row {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}


.col-md-6 {
  flex: 1 1 45%;
}


.col-md-6 picture img {
  width: 100%;
  height: auto;
  display: block;
}

#projects .column.col-md-6.col-lg-5 {
  padding-left: 80px;
  padding-top: 20px;
}


#description2 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding-left: 8px;
}


.line-text-block {
  display: flex;
  align-items: flex-start;
  gap: 20px;
  margin: 50px 0;
}

.line-text-block .line {
  width: 3px;
  background-color: #524c4a4c;
  border-radius: 3px;
  height: auto;
  min-height: 100%;
}

.line-text-block .text {
  flex: 1;
}

#description h1 {
  margin-top: 84px;
  padding-left: 9px;
}



#hero h1{
  height: 100vh;              
  padding: 500px 0px 0px 300px;
  font-size: 3em;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  padding: 18% 10% 0 10%;
  box-sizing: border-box;
}



#expertise h2 {
  margin-top: 80px;
  font-size: 2.5em;
}

#projects h2 {
  margin-top: 80px;
  font-size: 2.5em;
  
}

#skillstools h2 {
  margin-top: 80px;
  font-size: 2.5em;
}


#expertise {
  display: block;
}


#expertise h3 {
  text-align: right;
  margin-top: 50px;
  border-top: 2px solid #524c4a4c;
  width: 50%;
  margin-left: auto;
  padding-top: 20px;
}

#expertise p {
  text-align: right;
  max-width: 40%;
  margin: 0;
  margin-left: auto;
}


@keyframes color-change {
  from {fill: #edc655;}
  to {fill: #d46d61;}
}

.sun {
  animation-duration: 4s;
  animation-name: color-change;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: linear;
}

@keyframes cloud-move {
  from {transform: translate(0,50px);}
  to {transform: translate(200px,50px);}
}

.cloud-front {
  animation-duration: 30s;
  animation-name: cloud-move;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: linear;
}

@keyframes cloud-move-reverse {
  from {transform: translate(446px,48px);}
  to {transform: translate(100px, 48px);}
}

.cloud-back {
  animation: 34s cloud-move-reverse infinite alternate linear;
}


.hero-text {
  opacity: 0;
  transform: translateY(30px);
  animation: fadeUp 2.2s ease-out forwards;
}



@keyframes fadeUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

#about-picture {
  width: 100%;
  max-width: 700px;
  height: auto;    
}




footer {
  position: relative;
  background-color: #fffdfc;
  color: #342d2d;
  padding: 0px 250px;
}

footer::before {
  content: "";
  display: block;
  width: 250px;                
  height: 2px;               
  background-color: #524c4a4c;  
  margin: 0 auto 80px;        
}

footer .button.contact {
  margin-bottom: 20px; 
}

#buttonfooter {
  margin-bottom: 20px;
  }

.button {
  display: inline-block;
  text-decoration: none;
  background-color: #292626cf;
  border: 2px solid #403e3e;
  color: #fffdfc;
  font-weight: 400;
  padding: 10px 20px;
  border-radius: 3px;
  text-align: center;
  width: fit-content; 
  max-width: 200px; 
  transition: opacity 0.2s;
}

.submitbutton {
  display: inline-flex;
  text-decoration: none;
  background-color: #292626cf;
  border: 2px solid #403e3e;
  color: #fffdfc;
  font-weight: 400;
  padding: 10px 20px;
  border-radius: 3px;
  text-align: center;
  width: fit-content; 
  max-width: 200px; 
  transition: opacity 0.2s;  margin: 0 auto;
  display: block;
}

.button:hover {
  opacity: 0.8; 
  text-decoration: none;
}


.button:hover {
  opacity: 0.8; 
  text-decoration: none;
}



@media (min-width: 641px){

  
  nav > ul > li {
    display: inline-block;
  }
  .navtoggle li:not(:last-child) {
    display: inline-block;
  }

  .navtoggle li:not(:last-child) {
    display: inline-block;
  }

   #myNavtoggle {
    flex-direction: row; /* put logo + nav in one line */
    justify-content: space-between;
    align-items: center;
  }
  .hamburger {
    display: none;
  }

  nav > ul {
  margin: 1em 0;
  }
  
  
  .contactpage {
  display: flex;
  flex-direction: column; /* stack heading + form vertically */
  justify-content: center; /* vertical centering */
  box-sizing: border-box;
  }

  #message {
  resize: none;
  height: 80px;
  width: 89%;
  }


  .row {
    display: flex;
    gap: 30px; /* space between First + Last, Email + Phone */
  }
 .file-upload {
    width: 170%;
  }

}



@media (max-width: 640px) {

.navtoggle {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
}

  #myNavtoggle {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
  }

  .hamburger {
    display: block;
    margin: 10px 0;
  }

  header nav ul {
  display: flex;
  /* flex-direction: column-reverse;  */
  }

  nav ul {
    /* display: flex;
    flex-direction: column;
    gap: 30px;
    margin-top: 10px; */
    justify-content: center;
    width: 100%;
  }

  /* Ensure all menu items (except hamburger) show */
  nav ul li:not(.hamburger) {
    display: inline-block;
  }


  .navtoggle li:not(.icon) {
    width: 100%;
  }

  .contactpage {
  padding: 50px 15px 30px 15px;
  }

  .contact-form input,
  .contact-form textarea {
  font-size: 14px;
  border: 1px solid #ccc;
  border-radius: 4px;
  width: 100%;
    }

#message {
  resize: none;
  height: 80px;
  width: 100%;
  }

#file {
  height: 80px;
   width: 100%;
  }

  .row {
    flex-direction: column;
    gap: 10px; /* smaller spacing between fields */
  }

  .contact-form .field {
    margin-bottom: 10px; /* reduce bottom gap only on small screens */
  }

   .swiper-slide {
  width: 300px;
  height: 200px;
}
}



@media (max-width: 1024px) {
  main {
    padding: 80px 100px 40px;
  }

  footer {
    padding: 0 100px;
  }
}


@media (max-width: 768px) {
  header {
    padding: 15px 20px;
  }


  header nav ul {
  display: flex;      
  list-style: none;  
  justify-content: center;
  margin: 0;
  padding: 0px;
  gap: 10px;          
  align-items: center;
  flex-direction: column;

  }

  header nav {
  width: 100%;
  text-align: center; 
  }


  header nav ul li.icon {
    order: 0;
  }

   /* Then your menu items in correct order */
  header nav ul li.work {
    order: 1;
  }

  header nav ul li.about {
    order: 2;
  }

  header nav ul li.contact {
    order: 3;
  }

  header .container {
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
  }

  header nav ul {
    flex-direction: column;
    align-items: center;
  }

  main {
    padding: 60px 20px;
  }

  #hero h1 {
    font-size: 2em;
    padding: 30% 5% 0 5%;
    font-size: 2em;
    padding: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: left;
  }

  #expertise h3,
  #expertise p {
    text-align: left;
    width: 100%;
    max-width: 100%;
    margin-left: 0;
  }

  footer {
    padding: 0 20px;
  }

  footer::before {
    width: 100px;
    margin-bottom: 40px;
  }

  img {
    width: 100%;
  }
  }